PULSAR
API ReferenceMachine Status

Get Current Status

Get current machine status

TODO: deprecated, use realtime endpoint instead

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

id*array<>

The ID.

Response Body

application/json

Try it live
GET
/machines/status

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/status?id=0.1"
[  {    "status": "N",    "label": "N",    "end": "2019-08-24T14:15:22Z",    "start": "2019-08-24T14:15:22Z",    "machineId": 0.1,    "title": "string",    "isCountEnabled": true,    "isOutOfShift": true,    "hasShift": true,    "hasAlert": true  }]